Last Comment Bug 793425 - Bookmarks Manager Tools-> Import HTML Wizard not working due to sytax error in migration.js
: Bookmarks Manager Tools-> Import HTML Wizard not working due to sytax error i...
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.15
Assigned To: Philip Chee
:
Mentors:
: 794445 (view as bug list)
Depends on:
Blocks: 779716
  Show dependency treegraph
 
Reported: 2012-09-22 10:41 PDT by Philip Chee
Modified: 2012-10-02 19:42 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
Patch v1.0 fixit. (1.40 KB, patch)
2012-09-22 10:55 PDT, Philip Chee
neil: review+
neil: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Review

Description Philip Chee 2012-09-22 10:41:58 PDT
Sun Sep 23 2012 01:31:10
Error: SyntaxError: missing ; before statement
Source file: chrome://communicator/content/migration/migration.js
Line: 44, Column: 45
Source code:
this._migrator = window.arguments[1] instance of nsISuiteProfileMigrator ?

Regression from Bug 779716
Comment 1 Philip Chee 2012-09-22 10:55:36 PDT
Created attachment 663723 [details] [diff] [review]
Patch v1.0 fixit.
Comment 2 neil@parkwaycc.co.uk 2012-09-22 10:59:09 PDT
Comment on attachment 663723 [details] [diff] [review]
Patch v1.0 fixit.

[Triage Comment]

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch:
Comment 3 Philip Chee 2012-09-22 12:15:44 PDT
Regression caused by (bug #): Bug 779716
User impact if declined: Bookmarks Import Wizard fails to work properly.
Testing completed (on m-c, etc.): yes
Risk to taking this patch (and alternatives if risky): one line typo fix. No risk.
String changes made by this patch: None.
Comment 4 Philip Chee 2012-09-22 12:27:05 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/1c7bf0fd95c7
and comm-aurora:
http://hg.mozilla.org/releases/comm-aurora/rev/c6c65a22ceef
Comment 5 Philip Chee 2012-09-26 10:50:47 PDT
*** Bug 794445 has been marked as a duplicate of this bug. ***
Comment 6 Justin Wood (:Callek) 2012-10-02 19:41:38 PDT
Comment on attachment 663723 [details] [diff] [review]
Patch v1.0 fixit.

Review of attachment 663723 [details] [diff] [review]:
-----------------------------------------------------------------

http://hg.mozilla.org/releases/comm-beta/rev/82714f12926b

Note You need to log in before you can comment on or make changes to this bug.